package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.ResumeDeliver;
import com.ruoyi.web.work.domain.vo.ReceiveListVo;
import com.ruoyi.web.work.domain.vo.ReceiveVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author lsw
 * @date 2024-06-13
 */
public interface ResumeDeliverMapper extends BaseMapper<ResumeDeliver> {
    List<ResumeDeliver> selectList(ResumeDeliver resumeDeliver);

    List<ReceiveVo> receive(@Param("userId") Long userId);

    List<ReceiveListVo> receiveList(ResumeDeliver resumeDeliver);

    ResumeDeliver check(@Param("positionId") Long positionId, @Param("userId") Long userId);
}
